gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Scrolling.VScrollbar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical scrollbar

Synopsis

- data VScrollbar
- class ScrollbarClass o => VScrollbarClass o
- castToVScrollbar :: GObjectClass obj => obj -> VScrollbar
- gTypeVScrollbar :: GType
- toVScrollbar :: VScrollbarClass o => o -> VScrollbar
- vScrollbarNew :: Adjustment -> IO VScrollbar
- vScrollbarNewDefaults :: IO VScrollbar

# Detail

The `VScrollbar` widget is a widget arranged vertically creating a scrollbar. See `Scrollbar` for details on scrollbars. An `Adjustment` may be added to handle the adjustment of the scrollbar using `vScrollbarNew` or you can use `vScrollbarNewDefaults` in which case one will be created for you. See `Adjustment` for details.

All interesting functions can be found in `Range`, from which it is derived.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Range
    | +----Scrollbar
    | +----VScrollbar

# Types

data VScrollbar Source #

#### Instances

Instances details

Eq VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VScrollbar -> VScrollbar -> Bool Source # (/=) :: VScrollbar -> VScrollbar -> Bool Source #
Ord VScrollbar Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: VScrollbar -> VScrollbar -> Ordering Source #

(<) :: VScrollbar -> VScrollbar -> Bool Source #

(<=) :: VScrollbar -> VScrollbar -> Bool Source #

(>) :: VScrollbar -> VScrollbar -> Bool Source #

(>=) :: VScrollbar -> VScrollbar -> Bool Source #

max :: VScrollbar -> VScrollbar -> VScrollbar Source #

min :: VScrollbar -> VScrollbar -> VScrollbar Source #

GObjectClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VScrollbar -> GObject Source # unsafeCastGObject :: GObject -> VScrollbar Source #
RangeClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ScrollbarClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VScrollbarClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ScrollbarClass o => VScrollbarClass o Source #

#### Instances

Instances details

VScrollbarClass VScrollbar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVScrollbar :: GObjectClass obj => obj -> VScrollbar Source #

gTypeVScrollbar :: GType Source #

toVScrollbar :: VScrollbarClass o => o -> VScrollbar Source #

# Constructors

vScrollbarNew Source #

Arguments

:: Adjustment | `adjustment` - the `Adjustment` to use.
-> IO VScrollbar |

Creates a new vertical scrollbar.

vScrollbarNewDefaults :: IO VScrollbar Source #

Create a new HScrollbar without specifying an existing `Adjustment`. A new one will be created instead.